# Copyright (c) 2018 Dave Love, Manchester University
# Licence: MIT

# Fixme: use cxxflags for daemon/client?  doc for them?

Name:		pcm
Version:	201902
Release:	2%{?dist}
Summary:	Processor Counter Monitor for Intel CPUs
License:	BSD
URL:		https://software.intel.com/en-us/articles/intel-performance-counter-monitor
Source0:	https://github.com/opcm/pcm/archive/%version/%name-%version.tar.gz
# Don't specify the path of pcm-core in pcm-query.py
Patch1:		pcm-pmu.patch
# Fixme: Version necessary for -std=c++11?
BuildRequires:	gcc-c++ >= 4.8
ExclusiveArch:	x86_64
%if 0%{?fedora} || 0%{?rhel} > 7
Enhances:	ksysguard
%endif

%description
Processor Counter Monitor (PCM) is an application programming
interface (API) and a set of tools based on the API to monitor
performance and energy metrics of Intel® Core™, Xeon®, Atom™ and Xeon
Phi™ processors.

The pcm-sensor.x may be used as a plugin for ksysguard.

%package doc
Summary: Documentation for %name
BuildRequires:	doxygen
BuildArch: noarch

%description doc
Documentation for %name.


%prep
%setup -q
%patch1 -p1


%build
CXXFLAGS="%build_cxxflags" %make_build
doxygen Doxyfile


%install
mkdir -p %buildroot%_bindir
install -m755 *.x pmu-query.py %buildroot%_bindir
install -D -m755 daemon/daemon/Debug/daemon %buildroot%_sbindir/pcm-daemon
install -m755 daemon/client/Debug/client %buildroot%_bindir/pcm-client


%files
%license LICENSE
%doc README.md LINUX_HOWTO.txt
%_bindir/*
%_sbindir/*

%files doc
%license LICENSE
%doc README.md LINUX_HOWTO.txt html


%changelog
* Fri Apr 12 2019 Dave Love <loveshack@fedoraproject.org> - 201902-2
- Install daemon and client
- Use build_cxxflags
- Enhances ksysguard

* Sat Feb  9 2019 Dave Love <loveshack@fedoraproject.org> - 201902-1
- New version

* Sun Jan 14 2018 Dave Love <loveshack@fedoraproject.org> - 201710-2
- Don't use path to pcm-core.x in pmu-query.py

* Fri Jan 12 2018  <loveshack@fedoraproject.org> - 201710-1
- Initial packaging

